Bug 259295 - devel/py-oci: update to 2.48.0
Summary: devel/py-oci: update to 2.48.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yasuhiro Kimura
URL: https://github.com/oracle/oci-python-...
Keywords:
Depends on: 259307
Blocks:
  Show dependency treegraph
 
Reported: 2021-10-20 08:30 UTC by Alessandro Sagratini
Modified: 2021-10-30 09:38 UTC (History)
2 users (show)

See Also:


Attachments
trivial update of distinfo and port version (861 bytes, patch)
2021-10-20 08:30 UTC, Alessandro Sagratini
no flags Details | Diff
trivial update of Makefile and distinfo (1.54 KB, patch)
2021-10-20 18:27 UTC, Alessandro Sagratini
ale_sagra: maintainer-approval+
Details | Diff
trivial update of Makefile and distinfo (1.54 KB, patch)
2021-10-20 18:30 UTC, Alessandro Sagratini
ale_sagra: maintainer-approval+
Details | Diff
git diff --staged output (1.45 KB, patch)
2021-10-30 09:19 UTC, Alessandro Sagratini
ale_sagra: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alessandro Sagratini 2021-10-20 08:30:28 UTC
Created attachment 228860 [details]
trivial update of distinfo and port version

trivial update of distinfo and port version
Comment 1 Alessandro Sagratini 2021-10-20 18:27:16 UTC
Created attachment 228897 [details]
trivial update of Makefile and distinfo
Comment 2 Alessandro Sagratini 2021-10-20 18:30:34 UTC
Created attachment 228898 [details]
trivial update of Makefile and distinfo
Comment 3 Alessandro Sagratini 2021-10-21 13:16:07 UTC
I marked this as blocked by #259307 because this release adds that Python library as dependency
Comment 4 Yasuhiro Kimura freebsd_committer 2021-10-30 08:14:31 UTC
(In reply to Alessandro Sagratini from comment #2)

This patch fails to apply to ports tree as following.

yasu@rolling-vm-freebsd2[1438]% git apply ~/tmp/devel_py-oci.patch
error: patch failed: devel/py-oci/Makefile:1
error: devel/py-oci/Makefile: patch does not apply
yasu@rolling-vm-freebsd2[1438]% 

It seems tabs are expanded to spaces.

Please create patch according to the section 11.1 of Porter's Handbook (https://docs.freebsd.org/en/books/porters-handbook/upgrading/#git-diff).
Comment 5 Alessandro Sagratini 2021-10-30 09:19:07 UTC
Created attachment 229137 [details]
git diff --staged output

Hi,
thanks a lot for your feedback! I am attaching a patch generated using "git diff --staged" command, let me know if there's any issue with this.

Regards,
Alessandro
Comment 6 Yasuhiro Kimura freebsd_committer 2021-10-30 09:24:39 UTC
(In reply to Alessandro Sagratini from comment #5)

New patch works fine.
Comment 7 Yasuhiro Kimura freebsd_committer 2021-10-30 09:25:17 UTC
Take.
Comment 8 commit-hook freebsd_committer 2021-10-30 09:36:44 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=6e5a9229f617b618a03fcfe40ed7efc58c9d2cc3

commit 6e5a9229f617b618a03fcfe40ed7efc58c9d2cc3
Author:     Alessandro Sagratini <ale_sagra@hotmail.com>
AuthorDate: 2021-10-30 09:32:59 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-10-30 09:32:59 +0000

    devel/py-oci: Update to 2.48.0

    While I'm here, re-format Makefile with portfmt.

    ChangeLog:      https://github.com/oracle/oci-python-sdk/releases/tag/v2.48.0
    PR:             259295

 devel/py-oci/Makefile | 5 +++--
 devel/py-oci/distinfo | 6 +++---
 2 files changed, 6 insertions(+), 5 deletions(-)
Comment 9 Yasuhiro Kimura freebsd_committer 2021-10-30 09:38:40 UTC
Committed with minor refinement. Thanks!